<template>
  <div class="motivation" :class="getClassName">
    <div class="line">
      <div
        class="yello"
        v-bind:style="{width: getSolidProgressStyle + '%'}"></div>
      <div
        class="yello2"
        v-bind:style="{width: getDashProgressStyleWidth2 + '%'}"></div>
    </div>
    <div class="text__motivation" v-html="getPercentMotivation"></div>
    <!--<div class="login-page" style="margin-top: 20px;" v-if="displayZero">-->
      <!--<div class="zero-percent">-->
        <!--<div class="text">Ставка <strong>0%</strong> для первого займа!</div>-->
      <!--</div>-->
    <!--</div>-->
  </div>
</template>

<script>
  export default {
    name: 'progress-bar',
    data: function () {
      return {
        stepProps: {
          1: {
            yello: 25,
            yello2: 0,
            percentMotivation: '<strong>Заполните анкету полностью и увеличьте вероятность одобрения займа.</strong>',
            componentClassName: 'first'
          },
          2: {
            yello: 50,
            yello2: 0,
            percentMotivation: '<strong>+30%</strong> к вероятности одобрения займа.',
            componentClassName: ''
          },
          3: {
            yello: 75,
            yello2: 0,
            percentMotivation: '<strong>+42%</strong> к вероятности одобрения займа.',
            componentClassName: ''
          },
          4: {
            yello: 100,
            yello2: 0,
            // percentMotivation: 'У вас <strong>+20%</strong> к вероятности одобрения займа: Подпишитесь на Webbankir',
            percentMotivation: 'У вас <strong>+20%</strong> к вероятности одобрения займа',
            componentClassName: 'last'
          }
        }
      }
    },
    computed: {
        displayZero () {
            return this.$user.regStep < 4 && Math.floor(Date.now() / 1000) < 1548633600
        },
      stepNum: function () {
        return this.$user.regStep;
      },
      getSolidProgressStyle: function () {
        return this.stepProps[this.stepNum].yello
      },
      getDashProgressStyleWidth2: function () {
        return this.stepProps[this.stepNum].yello2
      },
      getPercentMotivation: function () {
        return this.stepProps[this.stepNum].percentMotivation
      },
      getClassName: function () {
        return this.stepProps[this.stepNum].componentClassName
      }
    }
  }
</script>

<style scoped lang="scss">
  strong {
    font-weight: 800;
  }

  .last .yello2 {
    display: none;
  }

  .login-page .motivation .line .yello {
    border-bottom-right-radius: 20px;
    border-top-right-radius: 20px;
  }

  .login-page .motivation .line .yello2 {
    border: none;
  }
</style>
